2 Replies Latest reply on May 19, 2017 12:56 PM by John Huntington

    Need help with Inserting Table Macro Tweek

    John Huntington

      I am using a temporary macro on over 300 drawings and I found one on these forums I tailored that worked for my needs, my only small problem is when it inserts the general table it puts it on a current layer and it makes the boarder thicker than I like.

       

       

      Option Explicit

      Dim swApp As SldWorks.SldWorks

      Dim swModel As SldWorks.ModelDoc2

      Dim swDrawing As SldWorks.DrawingDoc

      Dim swTable As SldWorks.TableAnnotation

      Sub main()

      Set swApp = Application.SldWorks

      Set swModel = swApp.ActiveDoc

      Set swDrawing = swModel

      Set swTable = swDrawing.InsertTableAnnotation2(False, 0.4191, 0.2667, swBOMConfigurationAnchor_TopLeft, "C:\ENG\XXXX-01 CAD Files\XXX-01 SolidWorks Files\GENTABLE.sldtbt", 0, 0)

      End Sub

       

      Is it possible to tailor this so the table template comes on a layer called "Border" with the outside border of the table set as .0071in?